/* Main */

.desky-cal-hidden {
	display: none !important;
}

.deskycal {
	width: min-content;
}

.deskycal input {
	cursor: pointer;
	height: 22px;
	padding-left: 25px;
	background: url("../icons/calendar.png") no-repeat left;
	background-position-x: 1px;
	background-size: 20px;
	color: rgb(41, 41, 41);
	background-color: #fcfcfc;
}

.deskycal input:hover {
	background-color: #ffffd6;
}

.desky-cal-container {
	color: #ddd;
	position: absolute;
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 0;
	user-select: none;
	border: 1px solid #7b7a7a;
	background-color: #ffffff;
	border-radius: 5px;
	width: 400px;
	z-index: 9;
	/*Back of the dark container*/
	overflow: auto;
}

.desky-cal-container .left {
	border-right: 1px solid #333;
	margin: 2em 0;
	display: flex;
	flex-direction: column;
	justify-content: center;
	text-align: center;
	color: #333;
}

.desky-cal-container .right {
	position: relative;
	margin: 2em 0;
	text-align: center;
}

.desky-cal-container .left-day {
	font-size: 4em;
	line-height: 1em;
	cursor: pointer;
}

.desky-cal-container .left-today {
	font-size: 0.8em;
}

.desky-cal-container .desky-arrow {
	color: #7b7a7a;
	font-weight: 800;
	cursor: pointer;
}

.desky-cal-container .desky-cal-month-name,
.desky-cal-container .desky-cal-dow-list {
	color: black;
}

.desky-cal-container .desky-cal-right-header {
	display: grid;
	grid-template-columns: 1fr 3fr 1fr;
	gap: 0;
	line-height: 35px;
}

.desky-cal-container .desky-cal-right-bottom {
	margin: 0.1em 1em;
}

.desky-cal-container .desky-cal-right-bottom>div {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
	gap: 0;
	font-size: 0.8em;
}

.desky-cal-container .desky-cal-right-bottom div.desky-cal-dow-list {
	color: #5083a6;
	border-bottom: 1px solid #333;
	margin: 3px 0;
}

.desky-cal-container .desky-cal-daylist {
	line-height: 1.4rem;
	margin: 0.8rem 0 0 0;
}

.desky-cal-container .last-month,
.desky-cal-container .next-month,
.desky-cal-container .curr-month.disabled {
	color: rgb(103, 103, 103);
}

.desky-cal-container .curr-month:not(.disabled) {
	color: #2f3640;
	cursor: pointer;
}

.cal-sel-day {
	padding: 8px;
}

.desky-cal-container .curr-month.today {
	background-color: #0a64ff;
	color: #eee;
	border-radius: 8px;
}

.desky-cal-container .curr-month:not(.disabled):hover,
.desky-cal-container .desky-arrow:hover,
.desky-cal-container .desky-cal-close:hover {
	color: rgb(112, 112, 112);
}

.desky-cal-container .left:hover {
	color: rgb(16, 16, 16);
}

.desky-cal-container .desky-cal-close {
	/*font-family: sans-serif;*/
	position: absolute;
	left: 10px;
	top: 0px;
	font-size: 1.5em;
	font-weight: bold;
	cursor: pointer;
}


/* Smaller */

.desky-cal-container.single {
	width: 200px;
	grid-template-columns: 1fr;
}


/* .desky-cal-container.single .desky-cal-close{font-size: 1em; } */

.desky-cal-container.single .desky-cal-daylist {
	line-height: 1rem;
	margin: 0.8rem 0 0 0;
}


/* White */

.desky-cal-container.white {
	background-color: #eaeaea;
}

.desky-cal-container.white .last-month {
	color: #aaa;
}

.desky-cal-container.white .curr-month {
	color: #666;
	cursor: pointer;
}

.desky-cal-container.white .arrow {
	color: #666;
}

.desky-cal-container .right .clicked {
	background-color: #0a64ff;
	color: #333 !important;
	border-radius: 8px;
}

@media only screen and (max-width: 600px) {
	.deskycal input {
		font-size: 16px;
	}

	.desky-cal-container {
		grid-template-columns: 1fr;
	}

	.desky-cal-container .left {
		display: none !important;
	}
}

@media only screen and (max-width: 1100px) {

	.desky-cal-container .curr-month:hover,
	.desky-cal-container .desky-arrow:hover,
	.desky-cal-container .desky-cal-close:hover {
		color: rgb(32, 32, 32);
	}

	.desky-dark-container {
		position: fixed;
		top: 0;
		left: 0;
		background-color: #00000088;
		width: 100%;
		height: 100%;
		z-index: 9;
	}

	.desky-cal-container,
	.desky-cal-container.single {
		max-width: 500px;
		width: 99vw;
		max-height: 88vh;
		min-height: 58vh;
		position: absolute;
		left: 50%;
		top: 30%;
		transform: translate(-50%, -50%);
		font-size: 22px;
		height: 400px;
		/* line-height: 25px; */
	}

	/* 	.desky-cal-container.single {
		width: 90vw;
	}
*/
	.desky-cal-container .right {
		margin: auto 1em;
	}

	.desky-cal-container .left {
		border-right: none;
		margin: 10px auto;
		display: flex;
		flex-direction: column;
		justify-content: center;
		text-align: center;
	}

	.desky-cal-container .desky-cal-right-bottom>div {
		font-size: 13px;
		/*line-height: 24px;*/
		padding: 3px;
		gap: 11px;
	}

	.desky-cal-container .desky-cal-right-header {
		line-height: 55px;
		font-size: 22px;
	}

	.desky-arrow {
		font-size: 20px;
	}

	.desky-cal-container .last-month,
	.desky-cal-container .next-month {
		color: rgb(199, 197, 197);
		padding: 8px;
	}

	.desky-cal-container .desky-cal-close {
		left: 10px;
		top: 5px;
		font-size: 25px;
	}

	/* .room-card-container {width: 100%;} */
}